org.codehaus.plexus.compiler.eclipse

## Class SourceCodeLocator

- java.lang.Object
- - org.codehaus.plexus.compiler.eclipse.SourceCodeLocator

-     public class SourceCodeLocator
      extends Object

  Author:
    Trygve Laugstøl

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceCodeLocator(List<String> sourceRoots)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `findSourceCodeForClass(String className)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceCodeLocator

          public SourceCodeLocator(List<String> sourceRoots)

  - ### Method Detail

    - #### findSourceCodeForClass

          public File findSourceCodeForClass(String className)

Copyright © 2015. All rights reserved.